type BannerIdType = string;
/**
 * Micro library for detecting adblock on user page
 *
 * @class AdblockDetector
 */
export declare class AdblockDetector {
    bannerIds: readonly BannerIdType[];
    constructor();
    /**
     * Init library - add some tags to page with ads ids
     *
     * @returns {void} create detector instance
     * @memberof AdblockDetector
     */
    private init;
    /**
     * Check enabling adblock
     *
     * @returns {Boolean} Status adblock enabling
     * @memberof AdblockDetector
     */
    detect(): boolean;
    /**
     * Generate all ads blocks from ids dictionary
     *
     * @returns {String} Ads blocks
     * @private
     * @memberof AdblockDetector
     */
    private generatesBannersString;
    /**
     * Check visibility by banner id
     *
     * @param {Number} bannerId
     * @returns {HTMLElement|null} Return banners if adblock is not enabled
     * @private
     * @memberof AdblockDetector
     */
    checkVisibility(bannerId: BannerIdType): Element | null;
    private isBrowser;
}
export {};
